
set echo on
set serveroutput on

DECLARE

   v_plsql VARCHAR2(1024);
   v_binds binds_ntt := binds_ntt();

BEGIN

   /* PL/SQL string... */
   v_plsql := 'BEGIN 
                  dummy_procedure(:first_parameter,
                                  :second_parameter,
                                  :third_parameter);
               END;';
   
   /* Binds... */
   v_binds.EXTEND(3);
   v_binds(1) := binds_ot('first_parameter',ANYDATA.ConvertVarchar2('a string'));
   v_binds(2) := binds_ot('second_parameter',ANYDATA.ConvertNumber(100000));
   v_binds(3) := binds_ot('third_parameter',ANYDATA.ConvertDate(SYSDATE));

   /* Execute... */
   execute_with_binds(v_plsql, v_binds);

END;
/

